Index: src/sas/guiframe/local_perspectives/plotting/boxSum.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/boxSum.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/local_perspectives/plotting/boxSum.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
@@ -698,11 +656,11 @@
         :param center: provided x, y  coordinates of the center point
         """
-        ## save the new height, witdh of the rectangle if given as a param
+        # # save the new height, witdh of the rectangle if given as a param
         if width != None:
             self.half_width = width
-        if height!= None:
+        if height != None:
             self.half_height = height
-        ## If new  center coordinates are given draw the rectangle 
-        ##given these value 
+        # # If new  center coordinates are given draw the rectangle
+        # #given these value
         if center != None:
             self.center_x = center.x
@@ -710,8 +668,8 @@
             self.x1 = self.half_width + self.center_x
             self.x2 = -self.half_width + self.center_x
-            
+
             self.y1 = self.half_height + self.center_y
             self.y2 = -self.half_height + self.center_y
-            
+
             self.top_marker.set(xdata=[self.center_x], ydata=[self.y1])
             self.top_line.set(xdata=[self.x1, self.x2],
@@ -719,19 +677,19 @@
             self.bottom_line.set(xdata=[self.x1, self.x2],
                                  ydata=[self.y2, self.y2])
-            return 
-        ## if x1, y1, y2, y3 are given draw the rectangle with this value
-        if x1 != None: 
+            return
+        # # if x1, y1, y2, y3 are given draw the rectangle with this value
+        if x1 != None:
             self.x1 = x1
-        if x2 != None: 
+        if x2 != None:
             self.x2 = x2
-        if y1 != None: 
+        if y1 != None:
             self.y1 = y1
-        if y2 != None: 
+        if y2 != None:
             self.y2 = y2
-        ## Draw 2 vertical lines and a marker 
+        # # Draw 2 vertical lines and a marker
         self.top_marker.set(xdata=[self.center_x], ydata=[self.y1])
         self.top_line.set(xdata=[self.x1, self.x2], ydata=[self.y1, self.y1])
         self.bottom_line.set(xdata=[self.x1, self.x2], ydata=[self.y2, self.y2])
-       
+
     def save(self, ev):
         """
@@ -744,7 +702,7 @@
         self.save_y1 = self.y1
         self.save_half_height = self.half_height
-        self.save_half_width =  self.half_width
+        self.save_half_width = self.half_width
         self.base.freeze_axes()
-        
+
     def moveend(self, ev):
         """
@@ -753,5 +711,5 @@
         self.has_move = False
         self.base.moveend(ev)
-           
+
     def restore(self):
         """
@@ -764,5 +722,5 @@
         self.half_height = self.save_half_height
         self.half_width = self.save_half_width
-        
+
     def move(self, x, y, ev):
         """
@@ -771,14 +729,13 @@
         self.y1 = y
         delta = self.y1 - self.center_y
-        self.y2 =  self.center_y - delta
+        self.y2 = self.center_y - delta
         self.half_height = math.fabs(self.y1) - self.center_y
         self.has_move = True
         self.base.base.update()
-    
+
     def set_cursor(self, x, y):
         """
-            Update the figure given x and y 
+            Update the figure given x and y
         """
         self.move(x, y, None)
         self.update()
-         
Index: src/sas/guiframe/local_perspectives/plotting/detector_dialog.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/detector_dialog.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/local_perspectives/plotting/detector_dialog.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
@@ -5,14 +5,14 @@
 import sys
 from sas.guiframe.utils import format_number
-from sas.guiframe.events import StatusEvent 
+from sas.guiframe.events import StatusEvent
 from matplotlib.backends.backend_wxagg import FigureCanvasWxAgg as Canvas
 from matplotlib import mpl
 from matplotlib import pylab
-#FONT size 
+# FONT size
 if sys.platform.count("win32") > 0:
     FONT_VARIANT = 0
 else:
     FONT_VARIANT = 1
-    
+
 DEFAULT_CMAP = pylab.cm.get_cmap('jet')
 
@@ -21,8 +21,8 @@
     Dialog box to let the user edit detector settings
     """
-    
+
     def __init__(self, parent, id=1, base=None, dpi=None,
-                 cmap=DEFAULT_CMAP, reset_zmin_ctl = None,
-                 reset_zmax_ctl = None, *args, **kwds):
+                 cmap=DEFAULT_CMAP, reset_zmin_ctl=None,
+                 reset_zmax_ctl=None, *args, **kwds):
         """
         """
@@ -39,7 +39,7 @@
         self.label_qmax = wx.StaticText(self, -1, "Q max")
         self.label_zmin = wx.StaticText(self, -1,
-                                    "Min amplitude for color map (optional)")
+                                        "Min amplitude for color map (optional)")
         self.label_zmax = wx.StaticText(self, -1,
-                                    "Max amplitude for color map (optional)")
+                                        "Max amplitude for color map (optional)")
         self.label_beam = wx.StaticText(self, -1,
                                         "Beam stop radius in units of q")
@@ -53,14 +53,14 @@
         self.zmax_ctl.Bind(wx.EVT_SET_FOCUS, self.onSetFocus)
         self.static_line_3 = wx.StaticLine(self, -1)
-        self.button_Cancel = wx.Button(self, wx.ID_CANCEL, "Cancel")
+        self.button_cancel = wx.Button(self, wx.ID_CANCEL, "Cancel")
         self.button_reset = wx.Button(self, wx.NewId(), "Reset")
         self.Bind(wx.EVT_BUTTON, self.resetValues, self.button_reset)
-        self.button_OK = wx.Button(self, wx.ID_OK, "OK")
-        self.Bind(wx.EVT_BUTTON, self.checkValues, self.button_OK)
+        self.button_ok = wx.Button(self, wx.ID_OK, "OK")
+        self.Bind(wx.EVT_BUTTON, self.checkValues, self.button_ok)
         self.__set_properties()
         self.__do_layout()
         self.Fit()
-        
-    class Event:
+
+    class Event(object):
         """
         """
@@ -73,5 +73,5 @@
         cmap = None
         sym4 = False
-    
+
     def onSetFocus(self, event):
         """
@@ -82,5 +82,5 @@
         # Select the whole control, after this event resolves
         wx.CallAfter(widget.SetSelection, -1, -1)
-        
+
     def resetValues(self, event):
         """
@@ -93,5 +93,5 @@
                 zmin = ""
             if zmax == None:
-                zmax = ""    
+                zmax = ""
             self.zmin_ctl.SetValue(str(zmin))
             self.zmax_ctl.SetValue(str(zmax))
@@ -102,5 +102,5 @@
             msg = "error occurs while resetting Detector: %s" % sys.exc_value
             wx.PostEvent(self.parent, StatusEvent(status=msg))
-        
+
     def checkValues(self, event):
         """
@@ -111,11 +111,4 @@
         try:
             value = self.zmin_ctl.GetValue()
-            #if value and float( value) == 0.0:
-            #    flag = False
-            #    wx.PostEvent(self.parent,
-            #            StatusEvent(status="Enter number greater than zero"))
-            #    self.zmin_ctl.SetBackgroundColour("pink")
-            #    self.zmin_ctl.Refresh()
-            #else:
             self.zmin_ctl.SetBackgroundColour(wx.WHITE)
             self.zmin_ctl.Refresh()
@@ -130,5 +123,5 @@
                 flag = False
                 wx.PostEvent(self.parent,
-                        StatusEvent(status="Enter number greater than zero"))
+                             StatusEvent(status="Enter number greater than zero"))
                 self.zmax_ctl.SetBackgroundColour("pink")
                 self.zmax_ctl.Refresh()
@@ -143,10 +136,10 @@
         if flag:
             event.Skip(True)
-    
+
     def setContent(self, xnpts, ynpts, qmax, beam,
                    zmin=None, zmax=None, sym=False):
         """
         received value and displayed them
-        
+
         :param xnpts: the number of point of the x_bins of data
         :param ynpts: the number of point of the y_bins of data
@@ -156,5 +149,5 @@
         :param zmax:  the value to get the maximum color
         :param sym:
-        
+
         """
         self.xnpts_ctl.SetLabel(str(format_number(xnpts)))
@@ -207,35 +200,35 @@
         sizer_colormap = wx.BoxSizer(wx.VERTICAL)
         sizer_selection = wx.BoxSizer(wx.HORIZONTAL)
-       
+
         iy = 0
         sizer_params.Add(self.label_xnpts, (iy, 0), (1, 1),
-                          wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.xnpts_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.xnpts_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         sizer_params.Add(self.label_ynpts, (iy, 0), (1, 1),
-                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.ynpts_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.ynpts_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         sizer_params.Add(self.label_qmax, (iy, 0), (1, 1),
-                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.qmax_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.qmax_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         sizer_params.Add(self.label_beam, (iy, 0), (1, 1),
-                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.beam_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.beam_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         sizer_params.Add(self.label_zmin, (iy, 0), (1, 1),
-                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.zmin_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.zmin_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         sizer_params.Add(self.label_zmax, (iy, 0), (1, 1),
-                         wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
-        sizer_params.Add(self.zmax_ctl,   (iy, 1), (1, 1),
-                         wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+                         wx.LEFT | wx.EXPAND | wx.ADJUST_MINSIZE, 15)
+        sizer_params.Add(self.zmax_ctl, (iy, 1), (1, 1),
+                         wx.EXPAND | wx.ADJUST_MINSIZE, 0)
         iy += 1
         self.fig = mpl.figure.Figure(dpi=self.dpi, figsize=(4, 1))
@@ -243,33 +236,33 @@
         self.norm = mpl.colors.Normalize(vmin=0, vmax=100)
         self.cb1 = mpl.colorbar.ColorbarBase(self.ax1, cmap=self.cmap,
-                                           norm= self.norm,
-                                           orientation='horizontal')
+                                             norm=self.norm,
+                                             orientation='horizontal')
         self.cb1.set_label('Detector Colors')
         self.canvas = Canvas(self, -1, self.fig)
-        sizer_colormap.Add(self.canvas, 0, wx.LEFT | wx.EXPAND,5)
+        sizer_colormap.Add(self.canvas, 0, wx.LEFT | wx.EXPAND, 5)
         self.cmap_selector = wx.ComboBox(self, -1)
         self.cmap_selector.SetValue(str(self.cmap.name))
         maps = sorted(m for m in pylab.cm.datad if not m.endswith("_r"))
-       
+
         for i, m in enumerate(maps):
             self.cmap_selector.Append(str(m), pylab.get_cmap(m))
-        
+
         wx.EVT_COMBOBOX(self.cmap_selector, -1, self._on_select_cmap)
         sizer_selection.Add(wx.StaticText(self, -1, "Select Cmap: "), 0,
-                             wx.LEFT|wx.ADJUST_MINSIZE, 5) 
-        sizer_selection.Add(self.cmap_selector, 0, wx.EXPAND|wx.ALL, 10)
-        sizer_main.Add(sizer_params, 0, wx.EXPAND|wx.ALL, 5)
-        sizer_main.Add(sizer_selection, 0, wx.EXPAND|wx.ALL, 5)
-        note = "   Note: This is one time option. " +\
+                            wx.LEFT | wx.ADJUST_MINSIZE, 5)
+        sizer_selection.Add(self.cmap_selector, 0, wx.EXPAND | wx.ALL, 10)
+        sizer_main.Add(sizer_params, 0, wx.EXPAND | wx.ALL, 5)
+        sizer_main.Add(sizer_selection, 0, wx.EXPAND | wx.ALL, 5)
+        note = "   Note: This is one time option. " + \
                "It will be reset on updating the image."
         note_txt = wx.StaticText(self, -1, note)
-        sizer_main.Add(note_txt, 0, wx.EXPAND|wx.ALL, 5)
-        sizer_main.Add(sizer_colormap, 1, wx.EXPAND|wx.ALL, 5)
+        sizer_main.Add(note_txt, 0, wx.EXPAND | wx.ALL, 5)
+        sizer_main.Add(sizer_colormap, 1, wx.EXPAND | wx.ALL, 5)
         sizer_main.Add(self.static_line_3, 0, wx.EXPAND, 0)
-        sizer_button.Add(self.button_reset, 0, wx.LEFT|wx.ADJUST_MINSIZE, 100)
-        sizer_button.Add(self.button_OK, 0, wx.LEFT|wx.ADJUST_MINSIZE, 10)
-        sizer_button.Add(self.button_Cancel, 0,
-                         wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)
-        sizer_main.Add(sizer_button, 0, wx.EXPAND|wx.BOTTOM|wx.TOP, 10)
+        sizer_button.Add(self.button_reset, 0, wx.LEFT | wx.ADJUST_MINSIZE, 100)
+        sizer_button.Add(self.button_ok, 0, wx.LEFT | wx.ADJUST_MINSIZE, 10)
+        sizer_button.Add(self.button_cancel, 0,
+                         wx.LEFT | wx.RIGHT | wx.ADJUST_MINSIZE, 10)
+        sizer_main.Add(sizer_button, 0, wx.EXPAND | wx.BOTTOM | wx.TOP, 10)
         self.SetAutoLayout(True)
         self.SetSizer(sizer_main)
@@ -277,8 +270,8 @@
         self.Centre()
         # end wxGlade
-        
+
     def _on_select_cmap(self, event):
         """
-        display a new cmap 
+        display a new cmap
         """
         cmap_name = self.cmap_selector.GetCurrentSelection()
@@ -286,4 +279,4 @@
         self.cmap = current_cmap
         self.cb1 = mpl.colorbar.ColorbarBase(self.ax1, cmap=self.cmap,
-                                     norm=self.norm, orientation='horizontal')
+                                             norm=self.norm, orientation='horizontal')
         self.canvas.draw()
Index: src/sas/guiframe/local_perspectives/plotting/graphAppearance.py
===================================================================
--- src/sas/guiframe/local_perspectives/plotting/graphAppearance.py	(revision 794922220f2fb3b23dd08c648aabf87b4850596c)
+++ src/sas/guiframe/local_perspectives/plotting/graphAppearance.py	(revision b5de88e13816ca80c8329096bc22edbab9a36123)
@@ -39,5 +39,4 @@
         self.is_ytick = False
 
-
     def InitUI(self):
 
@@ -53,14 +52,11 @@
         yhbox2 = wx.BoxSizer(wx.HORIZONTAL)
 
-
-
         if self.legend:
             legendLocText = wx.StaticText(panel, label='Legend location: ')
-            self.legend_loc_combo = wx.ComboBox(panel,style = wx.CB_READONLY, size=(180,-1))
+            self.legend_loc_combo = wx.ComboBox(panel, style=wx.CB_READONLY, size=(180, -1))
             self.fillLegendLocs()
         else:
             self.legend_loc_combo = None
 
-
         if self.legend:
             self.toggle_legend = wx.CheckBox(panel, label='Toggle legend on/off')
@@ -70,5 +66,4 @@
         self.toggle_grid = wx.CheckBox(panel, label='Toggle grid on/off')
 
-        
         xstatic_box = wx.StaticBox(panel, -1, 'x-axis label')
         xstatic_box_sizer = wx.StaticBoxSizer(xstatic_box, wx.VERTICAL)
@@ -76,5 +71,4 @@
         ystatic_box_sizer = wx.StaticBoxSizer(ystatic_box, wx.VERTICAL)
 
-
         xaxis_label = wx.StaticText(panel, label='X-axis: ')
         yaxis_label = wx.StaticText(panel, label='Y-axis: ')
@@ -82,11 +76,9 @@
         unitlabel_2 = wx.StaticText(panel, label='Units: ')
 
-        self.xaxis_text = wx.TextCtrl(panel, -1, "",size=(220, -1))
-        self.yaxis_text = wx.TextCtrl(panel, -1, "",size=(220, -1))
-
-        self.xaxis_unit_text = wx.TextCtrl(panel, -1,"",size=(100, -1))
-        self.yaxis_unit_text = wx.TextCtrl(panel, -1,"",size=(100, -1))
-
-
+        self.xaxis_text = wx.TextCtrl(panel, -1, "", size=(220, -1))
+        self.yaxis_text = wx.TextCtrl(panel, -1, "", size=(220, -1))
+
+        self.xaxis_unit_text = wx.TextCtrl(panel, -1, "", size=(100, -1))
+        self.yaxis_unit_text = wx.TextCtrl(panel, -1, "", size=(100, -1))
 
         xcolorLabel = wx.StaticText(panel, label='Font color: ')
@@ -95,31 +87,28 @@
         self.xfont_color.SetSelection(0)
         xfont_button = wx.Button(panel, label='Font')
-        xfont_button.Bind(wx.EVT_BUTTON, self.onxFont)
+        xfont_button.Bind(wx.EVT_BUTTON, self.on_x_font)
 
         ycolorLabel = wx.StaticText(panel, label='Font color: ')
-        self.yfont_color = wx.ComboBox(panel, size=(100, -1),style=wx.CB_READONLY)
+        self.yfont_color = wx.ComboBox(panel, size=(100, -1), style=wx.CB_READONLY)
         self.yfill_colors()
         self.yfont_color.SetSelection(0)
         yfont_button = wx.Button(panel, label='Font')
-        yfont_button.Bind(wx.EVT_BUTTON, self.onyFont)
-
-        
+        yfont_button.Bind(wx.EVT_BUTTON, self.on_y_font)
 
         self.cancel_button = wx.Button(panel, label='Cancel')
         self.ok_button = wx.Button(panel, label='OK')
 
-        self.cancel_button.Bind(wx.EVT_BUTTON, self.onCancel)
+        self.cancel_button.Bind(wx.EVT_BUTTON, self.on_cancel)
         self.ok_button.Bind(wx.EVT_BUTTON, self.on_ok)
 
-
-        xhbox1.Add(xaxis_label, flag= wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=10)
-        xhbox1.Add(self.xaxis_text, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=10)
-        xhbox1.Add(unitlabel_1, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT, border=10)
-        xhbox1.Add(self.xaxis_unit_text, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT, border=10)
-
-        yhbox1.Add(yaxis_label, flag= wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=10)
-        yhbox1.Add(self.yaxis_text, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=10)
-        yhbox1.Add(unitlabel_2, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT, border=10)
-        yhbox1.Add(self.yaxis_unit_text, flag=wx.ALL | wx.EXPAND  | wx.ALIGN_RIGHT, border=10)
+        xhbox1.Add(xaxis_label, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=10)
+        xhbox1.Add(self.xaxis_text, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=10)
+        xhbox1.Add(unitlabel_1, flag=wx.ALL | wx.EXPAND | wx.ALIGN_RIGHT, border=10)
+        xhbox1.Add(self.xaxis_unit_text, flag=wx.ALL | wx.EXPAND | wx.ALIGN_RIGHT, border=10)
+
+        yhbox1.Add(yaxis_label, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=10)
+        yhbox1.Add(self.yaxis_text, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=10)
+        yhbox1.Add(unitlabel_2, flag=wx.ALL | wx.EXPAND | wx.ALIGN_RIGHT, border=10)
+        yhbox1.Add(self.yaxis_unit_text, flag=wx.ALL | wx.EXPAND | wx.ALIGN_RIGHT, border=10)
 
         xhbox2.Add(xcolorLabel, flag=wx.ALL | wx.ALIGN_RIGHT, border=10)
@@ -132,28 +121,27 @@
 
         if self.legend:
-            hbox1.Add(legendLocText, flag =  wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
-            hbox1.Add(self.legend_loc_combo, flag =  wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
+            hbox1.Add(legendLocText, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=5)
+            hbox1.Add(self.legend_loc_combo, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=5)
 
         if self.legend:
             hbox1.Add((5, -1))
-            hbox1.Add(self.toggle_legend, flag = wx.ALL | wx.EXPAND  | wx.ALIGN_LEFT, border=5)
-
-        hbox2.Add(self.ok_button, flag = wx.ALL | wx.ALIGN_RIGHT, border=5)
-        hbox2.Add(self.cancel_button, flag = wx.ALL | wx.ALIGN_RIGHT, border=5)
+            hbox1.Add(self.toggle_legend, flag=wx.ALL | wx.EXPAND | wx.ALIGN_LEFT, border=5)
+
+        hbox2.Add(self.ok_button, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
+        hbox2.Add(self.cancel_button, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
         hbox2.Add((15, -1))
 
-        xstatic_box_sizer.Add(xhbox1, flag= wx.EXPAND , border=5)
+        xstatic_box_sizer.Add(xhbox1, flag=wx.EXPAND, border=5)
         xstatic_box_sizer.Add(xhbox2, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
-        ystatic_box_sizer.Add(yhbox1, flag= wx.EXPAND, border=5)
+        ystatic_box_sizer.Add(yhbox1, flag=wx.EXPAND, border=5)
         ystatic_box_sizer.Add(yhbox2, flag=wx.ALL | wx.ALIGN_RIGHT, border=5)
 
         vbox.Add((-1, 20))
-        vbox.Add(hbox1, flag = wx.EXPAND | wx.ALL, border=5)
-        vbox.Add(xstatic_box_sizer, flag = wx.ALL | wx.EXPAND, border=10)
-        vbox.Add(ystatic_box_sizer, flag = wx.ALL | wx.EXPAND, border=10)
-
-        vbox.Add(self.toggle_grid, flag = wx.ALIGN_RIGHT | wx.RIGHT, border=20)
-        vbox.Add(hbox2, flag = wx.ALIGN_RIGHT | wx.ALL , border=5)
-
+        vbox.Add(hbox1, flag=wx.EXPAND | wx.ALL, border=5)
+        vbox.Add(xstatic_box_sizer, flag=wx.ALL | wx.EXPAND, border=10)
+        vbox.Add(ystatic_box_sizer, flag=wx.ALL | wx.EXPAND, border=10)
+
+        vbox.Add(self.toggle_grid, flag=wx.ALIGN_RIGHT | wx.RIGHT, border=20)
+        vbox.Add(hbox2, flag=wx.ALIGN_RIGHT | wx.ALL, border=5)
 
         panel.SetSizer(vbox)
@@ -169,5 +157,5 @@
             self.yfont_color.Append(c_list[idx], idx)
 
-    def onxFont(self, e):
+    def on_x_font(self, e):
         title = 'Modify x axis font'
 
@@ -175,14 +163,14 @@
         fonty.set_default_font(self.xfont)
         fonty.set_ticklabel_check(self.is_xtick)
-        if(fonty.ShowModal() == wx.ID_OK):
+        if fonty.ShowModal() == wx.ID_OK:
             self.xfont = fonty.get_font()
             self.is_xtick = fonty.get_ticklabel_check()
 
-    def onyFont(self, e):
+    def on_y_font(self, e):
         title = 'Modify y axis font'
         fonty = SimpleFont(self, wx.NewId(), title)
         fonty.set_default_font(self.yfont)
         fonty.set_ticklabel_check(self.is_ytick)
-        if(fonty.ShowModal() == wx.ID_OK):
+        if fonty.ShowModal() == wx.ID_OK:
             self.yfont = fonty.get_font()
             self.is_ytick = fonty.get_ticklabel_check()
@@ -191,5 +179,5 @@
         self.Close()
 
-    def onCancel(self, e):
+    def on_cancel(self, e):
         self.Destroy()
 
@@ -237,7 +225,7 @@
 
 
-    def setDefaults(self,grid,legend,xlab,ylab,xunit,yunit,
-                    xaxis_font,yaxis_font,legend_loc,
-                    xcolor,ycolor, is_xtick, is_ytick):
+    def setDefaults(self, grid, legend, xlab, ylab, xunit, yunit,
+                    xaxis_font, yaxis_font, legend_loc,
+                    xcolor, ycolor, is_xtick, is_ytick):
         self.toggle_grid.SetValue(grid)
         if self.legend:
@@ -261,5 +249,5 @@
         else:
             self.yfont_color.SetStringSelection(ycolor)
-            
+
 
         if self.legend:
@@ -310,5 +298,5 @@
     def get_yfont(self):
         return self.yfont
-    
+
     def get_xtick_check(self):
         return self.is_xtick
@@ -316,10 +304,10 @@
     def get_ytick_check(self):
         return self.is_ytick
-    
+
 
 if __name__ == '__main__':
 
     app = wx.App()
-    graphD = graphAppearance(None,title='Modify graph appearance')
+    graphD = graphAppearance(None, title='Modify graph appearance')
     app.MainLoop()
 
